Subject: <draft-ietf-6man-rfc1981bis-05.txt>

From: Bob Hinden <[email-masked]>
Date: Fri, 31 Mar 2017 10:32:02 -0500

Hi,

I published a new version of rfc1981bis (-05).  Links to the document below.

The changes in this version are based on comments in IETF last call reviews by Gorry Fairhurst, Joe Touch, Susan Hares, Stewart Bryant, Rifaat Shekh-Yusef, and Donald Eastlake.  Many thank to the reviewers as I think the document is significantly improved, it is much better aligned with current transport practice.

The changes include:

   o  Clarify that the purpose of PMTUD is to reduce the need
      for IPv6 Fragmentation.

   o  Added text to Introduction about effects on PMTUD when
      ICMPv6 messages are blocked.

   o  Clarified in Section 4. that nodes should validate the
      payload of ICMPv6 PTB messages per RFC4443.

   o  Removed text in Section 5.2 about the number of paths to a
      destination.

   o  Changed title of Section 5.4 to "Packetization layer
      actions".

   o  Clarified first paragraph in Section 5.4 to to cover all
      packetization layers, not just TCP.

   o  Clarified text in Section 5.4 to use normal retransmission
      methods.

   o  Add clarification to Note in Section 5.4 about
      retransmissions.

   o  Removed text in Section 5.4 that described 4.2BSD as it is
      now obsolete.

   o  Removed reference to TP4 in Section 5.5.

   o  Updated text in Section 5.5 about NFS including adding a
      current reference to NFS and removing obsolete text.

   o  Revised text in Section 6 to clarify first attack
      response.

   o  Added new text in Section 6 to clarify the effect of
      ICMPv6 filtering on PMTUD.

   o  Aligned terminology for the packetization layer
      terminology.

   o  Editorial changes.

A diff from the previous version can be found at:

   https://tools.ietf.org/rfcdiff?url2=draft-ietf-6man-rfc1981bis-05.txt

Please review.

This is part of the project to move the core IPv6 specifications to Internet Standard.

Thanks,
Bob

> A new version of I-D, draft-ietf-6man-rfc1981bis-05.txt
> has been successfully submitted by Robert M. Hinden and posted to the
> IETF repository.
> 
> Name:		draft-ietf-6man-rfc1981bis
> Revision:	05
> Title:		Path MTU Discovery for IP version 6
> Document date:	2017-03-31
> Group:		6man
> Pages:		18
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-6man-rfc1981bis-05.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-6man-rfc1981bis/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-6man-rfc1981bis-05
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-6man-rfc1981bis-05
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-6man-rfc1981bis-05
> 
> Abstract:
>   This document describes Path MTU Discovery for IP version 6.  It is
>   largely derived from RFC 1191, which describes Path MTU Discovery for
>   IP version 4.  It obsoletes RFC1981.